Summary:	An implementation of the RFC1413 identification server
Name:		pidentd
Version:	3.0.19
Release:	%mkrel 4
License:	GPL
Group:		System/Servers
URL:		http://www.lysator.liu.se/~pen/pidentd/
Source0:	ftp://ftp.lysator.liu.se/pub/unix/ident/servers/%{name}-%{version}.tar.bz2
Source1:	identd.conf
Patch2:		pidentd-3.0.10-install.patch
Patch3:		pidentd-3.0.11-nossl.patch
Patch4:		pidentd-3.0.14-remove_o.patch
Patch5:		pidentd-3.0.19-pinit.patch
Requires(post): pm-helper
Requires(preun): pm-helper
Provides:	identd
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The pidentd package contains identd, which implements the RFC1413
identification server. Identd looks up specific TCP/IP connections and returns
either the user name or other information about the process that owns the
connection.

%prep

%setup -q
#%patch0 -p1 -b .dummy
%patch2 -p1 -b .inst
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .pinit
chmod 644 src/*.{c,h} BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt doc/sgi_irix.txt

%build
%serverbuild
autoconf
%configure2_5x --sysconfdir=%{_sysconfdir} --with-threads=yes

%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall

ln -s identd ${RPM_BUILD_ROOT}%{_sbindir}/in.identd
# dangling symlink (typo ?)
#ln -s identd.8 ${RPM_BUILD_ROOT}%{_sbindir}/in.identd.8
install -m0644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/identd.conf
install -m755 etc/identd.init -D %{buildroot}%{_initrddir}/identd

%post
%_post_service identd

%preun
%_preun_service identd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt doc/sgi_irix.txt
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/identd.conf
%{_initrddir}/identd
%{_mandir}/man8/*


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.19-4mdv2007.1
+ Revision: 145554
- Import pidentd



* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.19-4dv2007.1
- use the %%mrel macro
- bunzip patches

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 3.0.19-3mdk
- really include correct parallel init patch

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 3.0.19-2mdk
- convert parallel init to LSB
- split Requires(X,Y)

* Tue Jan 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.0.19-1mdk
- 3.0.19
- add parallell init
- fix executable-marked-as-config-file
- fix non-readable
- add provides
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.0.18-2mdk
- Rebuild

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.18-1mdk
- 3.0.18
- drop dummy patch (P0)
- clean up dependencies
- fix summary-ended-with-dot

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.16-3mdk
- fix buildrequires and requires

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.0.16-2mdk
- rebuild
- use %%make macro

* Fri Jan 10 2003 François Pons <fpons@mandrakesoft.com> 3.0.16-1mdk
- 3.0.16.

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.14-4mdk
- remove useless prefix
- prereq: rpm-helper
- requires s/fileutils/coreutils/

* Wed Nov 07 2001 François Pons <fpons@mandrakesoft.com> 3.0.14-3mdk
- added url tag.

* Fri Oct 26 2001 François Pons <fpons@mandrakesoft.com> 3.0.14-2mdk
- remove -o for pidentd startup (Blue Lizard).

* Thu Oct 25 2001 François Pons <fpons@mandrakesoft.com> 3.0.14-1mdk
- 3.0.14.

* Tue Jul 03 2001 François Pons <fpons@mandrakesoft.com> 3.0.12-3mdk
- build release, updated distribution tag.

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.0.12-2mdk
- use server macros

* Mon Dec 04 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 3.0.12-1mdk
- new and shiny source.

* Wed Aug 30 2000 François Pons <fpons@mandrakesoft.com> 3.0.11-6mdk
- added noreplace on config file.
- added more macroszifications.

* Thu Jul 20 2000 François Pons <fpons@mandrakesoft.com> 3.0.11-5mdk
- fixed man pages location.
- removed /usr/bin/perl requires.

* Mon Jul 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.11-4mdk
- Don't build with crypto.

* Sat Jul 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.11-3mdk
- Remove ugly perl -pe in %post.
- Add config.files.

* Mon Jul 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.11-2mdk
- makeinstall macro
- macroszifications

* Mon Jun 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.11-1mdk
- updated to 3.0.11
- removed 3.0.10 security patch (fixed in 3.0.11)

* Mon Apr 03 2000 François Pons <fpons@mandrakesoft.com> 3.0.10-1mdk
- spec file update.
- updated with 3.0.10 and rh patches.

* Sat Apr 01 2000 François Pons <fpons@mandrakesoft.com> 2.8.5-8mdk
- updated Group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add example cfg
- refixed dangling BuildRoot in man page
- add to cooker

* Wed Jun 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Added pidentd+fm-1.1 patch for masq support

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.8.5.
- fix dangling BuildRoot in man page (#1458).

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8.4.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
